Conversations
List conversations
GET
/
v1
/
conversations
List conversations
curl --request GET \
--url https://api.wazapin.com/v1/conversationsconst options = {method: 'GET'};
fetch('https://api.wazapin.com/v1/conversations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.wazapin.com/v1/conversations"
response = requests.get(url)
print(response.text){
"items": [
{
"ai_mode": "<string>",
"assigned_agent_id": "<string>",
"assigned_at": "<string>",
"channel_id": "<string>",
"closed_at": "<string>",
"contact_id": "<string>",
"created_at": "<string>",
"id": "<string>",
"last_message_at": "<string>",
"last_message_direction": "<string>",
"last_message_preview": "<string>",
"metadata": "<unknown>",
"organization_id": "<string>",
"status": "<string>",
"unread_count": 123,
"updated_at": "<string>",
"ai_handoff_package": {
"actions_taken": "<unknown>",
"created_at": "<string>",
"customer_context": "<unknown>",
"detected_intent": "<string>",
"handoff_reason": "<string>",
"id": "<string>",
"next_best_action": "<string>",
"retrieved_sources": "<unknown>",
"sentiment": "<unknown>",
"status": "<string>",
"summary": "<string>",
"agent_id": "<string>",
"run_id": "<string>"
},
"contact_name": "<string>",
"contact_phone": "<string>"
}
],
"meta": {
"has_more": true,
"limit": 123,
"cursor": "<string>",
"next_cursor": "<string>",
"offset": 123,
"total": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}Query Parameters
Results per page
Required range:
1 <= x <= 100Cursor for pagination (RFC3339|UUID)
Filter by status
Available options:
open, closed Filter by assigned agent ID
Search by contact name or phone
Filter by label ID
Filter by contact ID
Only conversations with CTWA ad attribution in metadata
⌘I
List conversations
curl --request GET \
--url https://api.wazapin.com/v1/conversationsconst options = {method: 'GET'};
fetch('https://api.wazapin.com/v1/conversations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.wazapin.com/v1/conversations"
response = requests.get(url)
print(response.text){
"items": [
{
"ai_mode": "<string>",
"assigned_agent_id": "<string>",
"assigned_at": "<string>",
"channel_id": "<string>",
"closed_at": "<string>",
"contact_id": "<string>",
"created_at": "<string>",
"id": "<string>",
"last_message_at": "<string>",
"last_message_direction": "<string>",
"last_message_preview": "<string>",
"metadata": "<unknown>",
"organization_id": "<string>",
"status": "<string>",
"unread_count": 123,
"updated_at": "<string>",
"ai_handoff_package": {
"actions_taken": "<unknown>",
"created_at": "<string>",
"customer_context": "<unknown>",
"detected_intent": "<string>",
"handoff_reason": "<string>",
"id": "<string>",
"next_best_action": "<string>",
"retrieved_sources": "<unknown>",
"sentiment": "<unknown>",
"status": "<string>",
"summary": "<string>",
"agent_id": "<string>",
"run_id": "<string>"
},
"contact_name": "<string>",
"contact_phone": "<string>"
}
],
"meta": {
"has_more": true,
"limit": 123,
"cursor": "<string>",
"next_cursor": "<string>",
"offset": 123,
"total": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}